<?php
/**
 * 首页模块
 * @copyright reginx.com
 * $Id: app.php 43 2013-02-05 06:34:45Z reginx $
 */
class index_mod extends mogvs_mod{

    /**
     * 默认Act
     */
    function indexAct(){
        $this->assign('cats' , api_lib::getcatlist(2));
        $this->assign('regions' , api_lib::getcatlist(3));
        $this->assign('urhere', array('cur' => '首页'));
        if($this->has('preview')){
            $preview = $this->get('preview');
            if(preg_match('/^[a-z0-9]+$/' , $preview)){
                $this->settpldir($preview);
            }
        }
        $this->display('index.tpl.html');
    }
}
?>